=== debian/changelog ===
xob (0.3-1) unstable; urgency=medium

  * Initial release. (Closes: #1111201)

 -- Alexander Sulfrian <alexander@sulfrian.net>  Fri, 15 Aug 2025 15:43:17 +0200
