=== debian/control ===
Source: xob
Section: x11
Priority: optional
Maintainer: Alexander Sulfrian <alexander@sulfrian.net>
Build-Depends:
  debhelper-compat (= 13),
  libconfig-dev,
  libx11-dev,
  libxrender-dev,
  pandoc,
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/animux/xob
Vcs-Git: https://salsa.debian.org/animux/xob.git
Homepage: https://github.com/florentc/xob

Package: xob
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Lightweight overlay bar for the X Window System
 xob (X Overlay Bar) is a lightweight configurable overlay
 volume/backlight/progress/anything bar for the X Window System (and Wayland
 compositors with XWayland).
 .
 Each time a new value is read on the standard input, it is displayed as a
 tv-like bar over other windows and vanishes after a configurable amount of
 time.
