=== debian/watch ===
version=4
https://github.com/florentc/xob/tags .*/v(\d.*)@ARCHIVE_EXT@
